Skip to main content
GET
/
v0
/
serverhosts
List serverhosts
curl --request GET \
  --url https://controller.platform.simplecloud.app/v0/serverhosts \
  --header 'X-Network-ID: <x-network-id>' \
  --header 'X-Network-Secret: <x-network-secret>'
import requests

url = "https://controller.platform.simplecloud.app/v0/serverhosts"

headers = {
"X-Network-ID": "<x-network-id>",
"X-Network-Secret": "<x-network-secret>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {'X-Network-ID': '<x-network-id>', 'X-Network-Secret': '<x-network-secret>'}
};

fetch('https://controller.platform.simplecloud.app/v0/serverhosts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "count": 5,
  "serverhosts": [
    {
      "auto_update_targeted_version": true,
      "created_at": "2023-01-01T12:00:00Z",
      "deactivated": false,
      "deactivated_at": "2023-01-01T12:00:00Z",
      "host_name": "ServerHost-1",
      "installed_java_versions": [
        8,
        17,
        21
      ],
      "last_keep_alive": "2023-01-01T12:00:00Z",
      "maximum_memory": 8192,
      "network_id": "123e4567-e89b-12d3-a456-426614174000",
      "serverhost_access_mode": "MANAGED_GATEWAY",
      "serverhost_custom_url": "https://files.example.com",
      "serverhost_gateway_last_connected_at": "2023-01-01T12:00:00Z",
      "serverhost_gateway_slug": "9f1f7f2c9a224bb29f9e0f7e5b2a070a",
      "serverhost_id": "123e4567-e89b-12d3-a456-426614174000",
      "started_at": "2023-01-01T12:00:00Z",
      "targeted_version": "1.2.3",
      "updated_at": "2023-01-01T12:00:00Z",
      "version": "1.0.0"
    }
  ]
}
{
"error": "<string>"
}
{
"error": "<string>"
}

Headers

X-Network-ID
string
required

Network ID

X-Network-Secret
string
required

Network Secret

Query Parameters

active
boolean

Filter by active status (true = only active, false = only deactivated)

Response

OK

Response for listing serverhosts

count
integer
Example:

5

serverhosts
object[]